Subject: RE: FW: Does cygwin tool kit Support threads
From: Robert Collins <[email-masked]>
To: Anjani Prasad Achanta <[email-masked]>
Cc: [email-masked]
Date: 28 Jul 2001 22:59:49 +1000

On 28 Jul 2001 00:36:21 -0400, Anjani Prasad Achanta wrote:
> 
> 	I didn't find socket.h include file and no libsocket library in
> the standard directories (I mean /usr/include and /usr/lib) Moreover no
> man pages for socket functions. 
Thats because "NO SPECIAL LIBRARY IS NEEDED".  

> 	But I have pthread include file - not thread library. So this
> also doesn't work. 
How do you "know" it doesn't work. Do you get an error message about
thread functions? Or are you *assuming* it doesn't work because you
cannot see a file that is needed on platforms without integrated pthread
support?

> 	So obviously when I compile, gcc says couldn't find socket.h
> file. 
socket.h is found as <sys/socket.h> on cygwin - the same as on linux.

> 	Is the standard UNIX directory format followed in cygwin? 
What standard UNIX directory format? Linux has ~ 3 different layouts
with differnet distributions. AIX and Solaris are different again, and
then you can get onto the BSD's. 

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/